diff --exclude=autom4te.cache --exclude='*~' -urN quickfix-1.13.3-autotools-bootstrap/Makefile.am quickfix-1.13.3-configh-patched/Makefile.am
--- quickfix-1.13.3-autotools-bootstrap/Makefile.am	2009-06-25 04:28:49.000000000 +0100
+++ quickfix-1.13.3-configh-patched/Makefile.am	2010-06-03 17:34:27.728111748 +0100
@@ -4,3 +4,7 @@
 
 pkgconfdir=$(libdir)/pkgconfig
 pkgconf_DATA = quickfix.pc
+pkgdata_DATA = config.h
+
+install-exec-local:
+	cp -p $(top_builddir)/config.h $(includedir)/quickfix/config.h
diff --exclude=autom4te.cache --exclude='*~' -urN quickfix-1.13.3-autotools-bootstrap/Makefile.in quickfix-1.13.3-configh-patched/Makefile.in
--- quickfix-1.13.3-autotools-bootstrap/Makefile.in	2010-06-03 15:59:45.879354552 +0100
+++ quickfix-1.13.3-configh-patched/Makefile.in	2010-06-03 17:35:08.343104730 +0100
@@ -81,8 +81,8 @@
 am__base_list = \
   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__installdirs = "$(DESTDIR)$(pkgconfdir)"
-DATA = $(pkgconf_DATA)
+am__installdirs = "$(DESTDIR)$(pkgconfdir)" "$(DESTDIR)$(pkgdatadir)"
+DATA = $(pkgconf_DATA) $(pkgdata_DATA)
 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   distclean-recursive maintainer-clean-recursive
 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
@@ -274,6 +274,7 @@
 # Install pkgconf definition
 pkgconfdir = $(libdir)/pkgconfig
 pkgconf_DATA = quickfix.pc
+pkgdata_DATA = config.h
 all: config.h
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
 
@@ -360,6 +361,26 @@
 	test -n "$$files" || exit 0; \
 	echo " ( cd '$(DESTDIR)$(pkgconfdir)' && rm -f" $$files ")"; \
 	cd "$(DESTDIR)$(pkgconfdir)" && rm -f $$files
+install-pkgdataDATA: $(pkgdata_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
+	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
+	done
+
+uninstall-pkgdataDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	test -n "$$files" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files
 
 # This directory's subdirectories are mostly independent; you can cd
 # into them and run `make' without going through this Makefile.
@@ -676,7 +697,7 @@
 all-am: Makefile $(DATA) config.h
 installdirs: installdirs-recursive
 installdirs-am:
-	for dir in "$(DESTDIR)$(pkgconfdir)"; do \
+	for dir in "$(DESTDIR)$(pkgconfdir)" "$(DESTDIR)$(pkgdatadir)"; do \
 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 	done
 install: install-recursive
@@ -726,13 +747,13 @@
 
 info-am:
 
-install-data-am: install-pkgconfDATA
+install-data-am: install-pkgconfDATA install-pkgdataDATA
 
 install-dvi: install-dvi-recursive
 
 install-dvi-am:
 
-install-exec-am:
+install-exec-am: install-exec-local
 
 install-html: install-html-recursive
 
@@ -772,7 +793,7 @@
 
 ps-am:
 
-uninstall-am: uninstall-pkgconfDATA
+uninstall-am: uninstall-pkgconfDATA uninstall-pkgdataDATA
 
 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
 	ctags-recursive install-am install-strip tags-recursive
@@ -785,15 +806,19 @@
 	distclean-libtool distclean-tags distcleancheck distdir \
 	distuninstallcheck dvi dvi-am html html-am info info-am \
 	install install-am install-data install-data-am install-dvi \
-	install-dvi-am install-exec install-exec-am install-html \
-	install-html-am install-info install-info-am install-man \
-	install-pdf install-pdf-am install-pkgconfDATA install-ps \
-	install-ps-am install-strip installcheck installcheck-am \
-	installdirs installdirs-am maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-generic \
-	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
-	uninstall uninstall-am uninstall-pkgconfDATA
+	install-dvi-am install-exec install-exec-am install-exec-local \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-pkgconfDATA \
+	install-pkgdataDATA install-ps install-ps-am install-strip \
+	installcheck installcheck-am installdirs installdirs-am \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	tags tags-recursive uninstall uninstall-am \
+	uninstall-pkgconfDATA uninstall-pkgdataDATA
+
 
+install-exec-local:
+	cp -p $(top_builddir)/config.h $(includedir)/quickfix/config.h
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
